Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Class StepPlugin

    java.lang.Object
      org.pentaho.di.core.plugins.Plugin<String[]>
          org.pentaho.di.trans.StepPlugin

    public class StepPlugin

extends org.pentaho.di.core.plugins.Plugin<String[]>

Author:
  Matt

Field Summary
`static String[]` | `typeDesc`

Fields inherited from class org.pentaho.di.core.plugins.Plugin
`CATEGORY, CLASSNAME, DESCRIPTION, ERRORHELPFILE, ICONFILE, ID, LIBRARIES, LIBRARY, LOCALE, LOCALIZED_CATEGORY, LOCALIZED_DESCRIPTION, LOCALIZED_TOOLTIP, NAME, PLUGIN, PLUGIN_LOADER, PLUGIN_XML_FILE, TOOLTIP, TYPE_ALL, TYPE_NATIVE, TYPE_PLUGIN`

Constructor Summary
`StepPlugin(int type, String[] id, String description, String tooltip, String directory, String[] jarfiles, String icon_filename, String classname, String category, String errorHelpFile)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCategory()`
`String` | `getCategory(String locale)`
`String` | `getDescription()`
`String` | `getDescription(String locale)`
`String` | `getErrorHelpFile()`
`String` | `getJarfilesList()`
`Map<String,String>` | `getLocalizedCategories()`
`Map<String,String>` | `getLocalizedDescriptions()`
`Map<String,String>` | `getLocalizedTooltips()`
`Object[]` | `getPluginInformation()`
`static org.pentaho.di.core.row.RowMetaInterface` | `getPluginInformationRowMeta()`
`String` | `getTooltip()`
`String` | `getTooltip(String locale)`
`String` | `getTypeDesc()`
`boolean` | `handles(String pluginID)`
`boolean` | `handles(String[] pluginID)`
`int` | `hashCode()`
`boolean` | `isSeparateClassloaderNeeded()`
`void` | `setCategory(String category)`
`void` | `setErrorHelpFile(String errorHelpText)`
`void` | `setLocalizedCategories(Map<String,String> localizedCategories)`
`void` | `setLocalizedDescriptions(Map<String,String> localizedDescriptions)`
`void` | `setLocalizedTooltips(Map<String,String> localizedTooltips)`
`void` | `setSeparateClassloaderNeeded(boolean separateClassloaderNeeded)`

Methods inherited from class org.pentaho.di.core.plugins.Plugin
`getClassLoader, getClassname, getDirectory, getIconFilename, getID, getJarfiles, getType, isNative, isPlugin, setClassLoader, setIconFilename`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeDesc

    public static final String[] typeDesc

Constructor Detail

### StepPlugin

    public StepPlugin(int type,
                      String[] id,
                      String description,
                      String tooltip,
                      String directory,
                      String[] jarfiles,
                      String icon_filename,
                      String classname,
                      String category,
                      String errorHelpFile)

Method Detail

### getDescription

    public String getDescription()

  Overrides:
    `getDescription` in class `org.pentaho.di.core.plugins.Plugin<String[]>`

### getDescription

    public String getDescription(String locale)

### getTooltip

    public String getTooltip()

  Overrides:
    `getTooltip` in class `org.pentaho.di.core.plugins.Plugin<String[]>`

### getTooltip

    public String getTooltip(String locale)

### getCategory

    public String getCategory()

### getCategory

    public String getCategory(String locale)

### setCategory

    public void setCategory(String category)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### handles

    public boolean handles(String pluginID)

### handles

    public boolean handles(String[] pluginID)

### getJarfilesList

    public String getJarfilesList()

### setErrorHelpFile

    public void setErrorHelpFile(String errorHelpText)

### getErrorHelpFile

    public String getErrorHelpFile()

### isSeparateClassloaderNeeded

    public boolean isSeparateClassloaderNeeded()

  Returns:
    Returns the separateClassloaderNeeded.

### setSeparateClassloaderNeeded

    public void setSeparateClassloaderNeeded(boolean separateClassloaderNeeded)

  Parameters:
    `separateClassloaderNeeded` - The separateClassloaderNeeded to set.

### setLocalizedCategories

    public void setLocalizedCategories(Map<String,String> localizedCategories)

### getLocalizedCategories

    public Map<String,String> getLocalizedCategories()

  Returns:
    the localized categories map.

### setLocalizedDescriptions

    public void setLocalizedDescriptions(Map<String,String> localizedDescriptions)

### getLocalizedDescriptions

    public Map<String,String> getLocalizedDescriptions()

  Returns:
    the localized descriptions map.

### getLocalizedTooltips

    public Map<String,String> getLocalizedTooltips()

  Returns:
    the localizedTooltips

### setLocalizedTooltips

    public void setLocalizedTooltips(Map<String,String> localizedTooltips)

  Parameters:
    `localizedTooltips` - the localizedTooltips to set

### getTypeDesc

    public String getTypeDesc()

### getPluginInformationRowMeta

    public static org.pentaho.di.core.row.RowMetaInterface getPluginInformationRowMeta()

### getPluginInformation

    public Object[] getPluginInformation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD